Page MenuHomePhabricator

[AArch64][GlobalISel] Implement widenScalar for signed overflow
ClosedPublic

Authored by porglezomp on Jan 20 2021, 4:47 AM.

Details

Summary

Implement widening for G_SADDO and G_SSUBO. Previously it was only
implemented for G_UADDO and G_USUBO. Also add legalize-add/sub tests for
narrow overflowing add/sub on AArch64.

Diff Detail

Event Timeline

porglezomp created this revision.Jan 20 2021, 4:47 AM
porglezomp requested review of this revision.Jan 20 2021, 4:47 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 20 2021, 4:47 AM
This revision is now accepted and ready to land.Jan 20 2021, 9:50 AM
This revision was landed with ongoing or failed builds.Jan 21 2021, 11:06 PM
This revision was automatically updated to reflect the committed changes.
porglezomp reopened this revision.Jan 22 2021, 7:03 PM

The buildbot with the UBSan tests passed for the first commit in this stack, so I think this should be safe to re-land http://lab.llvm.org:8011/#/builders/77/builds/3112

This revision is now accepted and ready to land.Jan 22 2021, 7:03 PM